org.codehaus.groovy.runtime

## Class ScriptReference

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.lang.Reference
    - - org.codehaus.groovy.runtime.ScriptReference

All Implemented Interfaces:
  GroovyObject, java.io.Serializable

    public class ScriptReference
    extends Reference

Represents a reference to a variable in a script

Author:
  James Strachan
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScriptReference(Script script, java.lang.String variable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `get()`
`void` `set(java.lang.Object value)`

### Methods inherited from class groovy.lang.Reference

`getProperty, invokeMethod, setProperty`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, setMetaClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptReference

    public ScriptReference(Script script,
                           java.lang.String variable)

### Method Detail

#### get

    public java.lang.Object get()

Overrides:
  `get` in class `Reference`

#### set

    public void set(java.lang.Object value)

Overrides:
  `set` in class `Reference`